#!/usr/bin/bash

# expand_h.sh -- generate list of possibilities to satisfy unfound *.h files.

# ----------------------------------------------------------------
# This file is part of code_graphs Copyright (C) 2011 Elijah 
# Laboratories Inc.  http://www.elilabs.com  ALL RIGHTS RESERVED.
#
# GNU cflow is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# code_graphs is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with code_graphs; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
# ----------------------------------------------------------------


./include_graph.sh > foo
grep '\.h$' foo | sort -u > foo1
ls *.h | sort -u > foo2
join -v 1 foo1 foo2 > foo
for f in `cat foo` ; do echo "" ; echo $f ; locate $f | grep /${f}$ ; done > bar

# finish up with

# bash ./bar

# after manually selecting desired files and making "cp '<file>' ."  lines for them.

